%global srcname Werkzeug

Name:           python-werkzeug
Version:        0.8.3
Release:        1
Summary:        The Swiss Army knife of Python web development 
Group:          Development/Python
License:        BSD
URL:            http://werkzeug.pocoo.org/
Source0:        http://pypi.python.org/packages/source/W/Werkzeug/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-sphinx
%py_requires -d

%description
Werkzeug
========

Werkzeug started as simple collection of various utilities for WSGI
applications and has become one of the most advanced WSGI utility
modules.  It includes a powerful debugger, full featured request and
response objects, HTTP utilities to handle entity tags, cache control
headers, HTTP dates, cookie handling, file uploads, a powerful URL
routing system and a bunch of community contributed addon modules.

Werkzeug is unicode aware and doesn't enforce a specific template
engine, database adapter or anything else.  It doesn't even enforce
a specific way of handling requests and leaves all that up to the
developer. It's most useful for end user applications which should work
on as many server environments as possible (such as blogs, wikis,
bulletin boards, etc.).

%prep
%setup -q -n %{srcname}-%{version}
%{__sed} -i 's/\r//' LICENSE
%{__sed} -i '1d' werkzeug/testsuite/multipart/collect.py

%build
%{__python} setup.py build
find examples/ -name '*.py' -executable | xargs chmod -x
find examples/ -name '*.png' -executable | xargs chmod -x
pushd docs
make html
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__rm} -rf docs/_build/html/.buildinfo
%{__rm} -rf examples/cupoftee/db.pyc

%files
%doc AUTHORS LICENSE PKG-INFO CHANGES
%{python_sitelib}/*
%doc docs/_build/html examples


%changelog
* Fri Aug 17 2012 Paulo Andrade <pcpa@mandriva.com.br> 0.8.3-1
+ Revision: 815233
- Import python-werkzeug package (based on fedora package)
- Import python-werkzeug package (based on fedora package)

